@charset "UTF-8";

@media all {
	.article-author {
		display: inline-block;
		margin-left: 1em;
	}

	.prev_next-link {
		display: flex;
		justify-content: space-between;
	}

	/* .prev_next-link a {
		color: #000;
	} */
	.sidemenu {
		background-color: #F2F2F2;
	}

	.sidemenu-search-inner {
		display: flex;
	}

	.search-text {
		padding: 0 1em;
		height: 100%;
		width: calc(100% - 3em);
	}

	.search-submit {
		display: block;
		width: 3em;
		height: 100%;
		background: center no-repeat #fff url(../img/common/search.svg);
	}

	.new_posts-item {
		white-space: nowrap;
		overflow: hidden;
		text-overflow: ellipsis;
	}
}

/* sp & tab */
@media screen and (max-width: 1024px) {
	.archive-list-outer {
		position: relative;
		margin-top: -.5em;
	}

	.archive-list-outer::before,
	.archive-list-outer::after {
		content: '';
		position: absolute;
		bottom: 0;
		left: 0;
		width: calc(100% - 10px);
		height: 1em;
		background: linear-gradient(to top, rgba(242, 242, 242, 1), rgba(242, 242, 242, 0));
	}

	.archive-list-outer::before {
		top: 0;
		transform: rotate(180deg);
	}

	.archive-list {
		overflow: auto;
		padding: .5em 0;
	}

}

/* sp */
@media only screen and (max-width: 767px) {
	.main-article {
		margin-top: var(--sp-vw-30px);
	}
	.article-info,
	.article-ttl {
		padding: 0 var(--sp-vw-16px);
	}
	.article-info {
		margin-top: var(--sp-vw-06px);
		font-size: var(--sp-vw-12px);
	}
	.article-ttl {
		margin-top: var(--sp-vw-24px);
		font-size: var(--sp-vw-24px);
	}
	.article-txt {
		margin-top: var(--sp-vw-24px);
		padding: 0 var(--sp-vw-16px);
	}

	.prev_next-link {
		margin-top: var(--sp-vw-30px);
		padding: var(--sp-vw-16px);
		font-size: var(--sp-vw-12px);
	}

	.sidemenu {
		margin-top: var(--sp-vw-30px);
		padding: var(--sp-vw-30px) var(--sp-vw-16px);
	}
	.sidemenu-search-inner {
		height: 3em;
	}

	.sidemenu-new_posts,
	.sidemenu-archive {
		margin-top: var(--sp-vw-24px);
	}
	.sidemenu-ttl {
		margin-bottom: .5em;
		font-size: var(--sp-vw-20px);
		font-weight: bold;
	}

	.archive-list {
		width: 50%;
		max-height: 62.5vw;
	}
}

/* tab & pc */
@media print,
(min-width: 768px) {
	.article-info {
		margin-top: 8px;
		font-size: 14px;
	}

	.article-ttl {
		margin-top: 30px;
		font-size: 34px;
	}

	.article-txt {
		margin-top: 30px;
	}

	.sidemenu-ttl {
		margin-bottom: .5em;
		font-size: 26px;
		font-weight: bold;
	}

	.sidemenu-search-inner {
		height: 60px;
	}

	.prev_next-link {
		margin-top: 80px;
	}
}

/* pc */
@media screen and (min-width: 1025px) {
	.breadcrumbs {
		padding: 0;
		margin-bottom: 115px;
	}

	.main-article {
		display: flex;
	}

	.article-content {
		padding-bottom: 100px;
		width: 66.15%;
	}

	.article-content-inner {
		margin-left: auto;
		margin-right: 70px;
		width: 720px;
	}

	.sidemenu {
		padding: 150px 0 100px 70px;
		width: 33.85%;
	}

	.sidemenu-inner {
		position: sticky;
		top: 130px;
	}

	.search-text {
		width: 220px;
	}

	.sidemenu-new_posts,
	.sidemenu-archive {
		margin-top: 80px;
	}
	.new_posts-item {
		width: 300px;
	}
}

/* tab */
@media print,
(min-width: 768px) and (max-width: 1024px) {
	.main-article {
		margin-top: 80px;
	}
	.article-content {
		padding: 0 20px;
	}

	.sidemenu-inner {
		display: flex;
		justify-content: space-between;
		margin-top: 120px;
		padding: 40px 40px 80px;
	}

	.sidemenu-inner > * {
		width: calc(50% - 100px);
	}
	.sidemenu-inner .sidemenu-search {
		max-width: 340px;
	}
	.sidemenu-inner .sidemenu-archive {
		flex-shrink: 0;
		width: 135px;
	}

	.archive-list {
		max-height: 200px;
	}
}